aboutsummaryrefslogtreecommitdiff
path: root/share/hydractl/backup-restore-mail
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2012-06-28 12:56:18 -0300
committerSilvio Rhatto <rhatto@riseup.net>2012-06-28 12:56:18 -0300
commit07726159c5f65e7e3086bb3e042584393957ab6f (patch)
treed5b5f8c9b02fe6c4345965a84045ef04281548a3 /share/hydractl/backup-restore-mail
parenta58fa1d4a75b8a3263e8d039106c47d9c8452a70 (diff)
downloadhydra-07726159c5f65e7e3086bb3e042584393957ab6f.tar.gz
hydra-07726159c5f65e7e3086bb3e042584393957ab6f.tar.bz2
Renaming git and mail restore actions
Diffstat (limited to 'share/hydractl/backup-restore-mail')
-rwxr-xr-xshare/hydractl/backup-restore-mail49
1 files changed, 49 insertions, 0 deletions
diff --git a/share/hydractl/backup-restore-mail b/share/hydractl/backup-restore-mail
new file mode 100755
index 0000000..a515584
--- /dev/null
+++ b/share/hydractl/backup-restore-mail
@@ -0,0 +1,49 @@
+#!/bin/bash
+#
+# Mail backup restoration.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as
+# published by the Free Software Foundation, either version 3 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public
+# License along with this program. If not, see
+# <http://www.gnu.org/licenses/>.
+
+# Load.
+source $APP_BASE/lib/hydra/functions || exit 1
+hydra_config_load
+
+# Parameters.
+DATE="`date +%Y%m%d`"
+HOST="$1"
+SERVICE="mail"
+SERVICE_DIR="/var/mail/virtual"
+SERVICE_USER="vmail"
+SERVICE_GROUP="vmail"
+
+# Set restore environment.
+hydra_backup_environment_service
+
+# Restore email folder from backup.
+#
+# Symlink creation on site instances like drupal should be done
+# already by backup-restore-site.
+for folder in `ls $RESTOREDIR/$SERVICE_DIR`; do
+ if [ -d "$SERVICE_DIR/$folder" ]; then
+ echo "Email for user $email already exists on $SERVICE_DIR/$folder!"
+ else
+ echo "Processing $SERVICE_DIR/$folder..."
+ cp -a $RESTOREDIR/$SERVICE_DIR/$folder $SERVICE_DIR/$folder
+ fi
+done
+
+# Fix permissions.
+chown -R $SERVICE_USER.$SERVICE_GROUP $SERVICE_DIR
+